# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for license information.
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is regenerated.
# --------------------------------------------------------------------------

try:
    from ._models_py3 import CertificateRequest
    from ._models_py3 import CheckNameAvailabilityParameters
    from ._models_py3 import CheckNameAvailabilityResult
    from ._models_py3 import ClientDiscoveryDisplay
    from ._models_py3 import ClientDiscoveryForLogSpecification
    from ._models_py3 import ClientDiscoveryForProperties
    from ._models_py3 import ClientDiscoveryForServiceSpecification
    from ._models_py3 import ClientDiscoveryResponse
    from ._models_py3 import ClientDiscoveryValueForSingleApi
    from ._models_py3 import CmkKekIdentity
    from ._models_py3 import CmkKeyVaultProperties
    from ._models_py3 import Error
    from ._models_py3 import ErrorAdditionalInfo
    from ._models_py3 import IdentityData
    from ._models_py3 import JobsSummary
    from ._models_py3 import MonitoringSummary
    from ._models_py3 import NameInfo
    from ._models_py3 import OperationResource
    from ._models_py3 import PatchTrackedResource
    from ._models_py3 import PatchVault
    from ._models_py3 import PrivateEndpoint
    from ._models_py3 import PrivateEndpointConnection
    from ._models_py3 import PrivateEndpointConnectionVaultProperties
    from ._models_py3 import PrivateLinkResource
    from ._models_py3 import PrivateLinkResources
    from ._models_py3 import PrivateLinkServiceConnectionState
    from ._models_py3 import RawCertificateData
    from ._models_py3 import ReplicationUsage
    from ._models_py3 import ReplicationUsageList
    from ._models_py3 import Resource
    from ._models_py3 import ResourceCertificateAndAadDetails
    from ._models_py3 import ResourceCertificateAndAcsDetails
    from ._models_py3 import ResourceCertificateDetails
    from ._models_py3 import Sku
    from ._models_py3 import SystemData
    from ._models_py3 import TrackedResource
    from ._models_py3 import UpgradeDetails
    from ._models_py3 import UserIdentity
    from ._models_py3 import Vault
    from ._models_py3 import VaultCertificateResponse
    from ._models_py3 import VaultExtendedInfoResource
    from ._models_py3 import VaultList
    from ._models_py3 import VaultProperties
    from ._models_py3 import VaultPropertiesEncryption
    from ._models_py3 import VaultUsage
    from ._models_py3 import VaultUsageList
except (SyntaxError, ImportError):
    from ._models import CertificateRequest  # type: ignore
    from ._models import CheckNameAvailabilityParameters  # type: ignore
    from ._models import CheckNameAvailabilityResult  # type: ignore
    from ._models import ClientDiscoveryDisplay  # type: ignore
    from ._models import ClientDiscoveryForLogSpecification  # type: ignore
    from ._models import ClientDiscoveryForProperties  # type: ignore
    from ._models import ClientDiscoveryForServiceSpecification  # type: ignore
    from ._models import ClientDiscoveryResponse  # type: ignore
    from ._models import ClientDiscoveryValueForSingleApi  # type: ignore
    from ._models import CmkKekIdentity  # type: ignore
    from ._models import CmkKeyVaultProperties  # type: ignore
    from ._models import Error  # type: ignore
    from ._models import ErrorAdditionalInfo  # type: ignore
    from ._models import IdentityData  # type: ignore
    from ._models import JobsSummary  # type: ignore
    from ._models import MonitoringSummary  # type: ignore
    from ._models import NameInfo  # type: ignore
    from ._models import OperationResource  # type: ignore
    from ._models import PatchTrackedResource  # type: ignore
    from ._models import PatchVault  # type: ignore
    from ._models import PrivateEndpoint  # type: ignore
    from ._models import PrivateEndpointConnection  # type: ignore
    from ._models import PrivateEndpointConnectionVaultProperties  # type: ignore
    from ._models import PrivateLinkResource  # type: ignore
    from ._models import PrivateLinkResources  # type: ignore
    from ._models import PrivateLinkServiceConnectionState  # type: ignore
    from ._models import RawCertificateData  # type: ignore
    from ._models import ReplicationUsage  # type: ignore
    from ._models import ReplicationUsageList  # type: ignore
    from ._models import Resource  # type: ignore
    from ._models import ResourceCertificateAndAadDetails  # type: ignore
    from ._models import ResourceCertificateAndAcsDetails  # type: ignore
    from ._models import ResourceCertificateDetails  # type: ignore
    from ._models import Sku  # type: ignore
    from ._models import SystemData  # type: ignore
    from ._models import TrackedResource  # type: ignore
    from ._models import UpgradeDetails  # type: ignore
    from ._models import UserIdentity  # type: ignore
    from ._models import Vault  # type: ignore
    from ._models import VaultCertificateResponse  # type: ignore
    from ._models import VaultExtendedInfoResource  # type: ignore
    from ._models import VaultList  # type: ignore
    from ._models import VaultProperties  # type: ignore
    from ._models import VaultPropertiesEncryption  # type: ignore
    from ._models import VaultUsage  # type: ignore
    from ._models import VaultUsageList  # type: ignore

from ._recovery_services_client_enums import (
    AuthType,
    CreatedByType,
    InfrastructureEncryptionState,
    PrivateEndpointConnectionStatus,
    ProvisioningState,
    ResourceIdentityType,
    SkuName,
    TriggerType,
    UsagesUnit,
    VaultPrivateEndpointState,
    VaultUpgradeState,
)

__all__ = [
    'CertificateRequest',
    'CheckNameAvailabilityParameters',
    'CheckNameAvailabilityResult',
    'ClientDiscoveryDisplay',
    'ClientDiscoveryForLogSpecification',
    'ClientDiscoveryForProperties',
    'ClientDiscoveryForServiceSpecification',
    'ClientDiscoveryResponse',
    'ClientDiscoveryValueForSingleApi',
    'CmkKekIdentity',
    'CmkKeyVaultProperties',
    'Error',
    'ErrorAdditionalInfo',
    'IdentityData',
    'JobsSummary',
    'MonitoringSummary',
    'NameInfo',
    'OperationResource',
    'PatchTrackedResource',
    'PatchVault',
    'PrivateEndpoint',
    'PrivateEndpointConnection',
    'PrivateEndpointConnectionVaultProperties',
    'PrivateLinkResource',
    'PrivateLinkResources',
    'PrivateLinkServiceConnectionState',
    'RawCertificateData',
    'ReplicationUsage',
    'ReplicationUsageList',
    'Resource',
    'ResourceCertificateAndAadDetails',
    'ResourceCertificateAndAcsDetails',
    'ResourceCertificateDetails',
    'Sku',
    'SystemData',
    'TrackedResource',
    'UpgradeDetails',
    'UserIdentity',
    'Vault',
    'VaultCertificateResponse',
    'VaultExtendedInfoResource',
    'VaultList',
    'VaultProperties',
    'VaultPropertiesEncryption',
    'VaultUsage',
    'VaultUsageList',
    'AuthType',
    'CreatedByType',
    'InfrastructureEncryptionState',
    'PrivateEndpointConnectionStatus',
    'ProvisioningState',
    'ResourceIdentityType',
    'SkuName',
    'TriggerType',
    'UsagesUnit',
    'VaultPrivateEndpointState',
    'VaultUpgradeState',
]
